{% extends "block.html.twig" %}
{#
/**
 * @file
 * Theme override for a branding block.
 *
 * Each branding element variable (logo, name, slogan) is only available if
 * enabled in the block configuration.
 *
 * Available variables:
 * - site_logo: Logo for site as defined in Appearance or theme settings.
 * - site_name: Name for site as defined in Site information settings.
 * - site_slogan: Slogan for site as defined in Site information settings.
 */
#}
{% block content %}
  {{ attach_library('orlando_interface/alpinejs') }}
  <div class="tw-flex">
    {% if site_logo %}
      <a href="{{ path('<front>') }}" rel="home" class="site-logo">
        <img src="{{ site_logo }}" alt="{{ 'Home'|t }}" />
      </a>
    {% endif %}
    {% if site_name %}
      <div class="site-name tw-flex tw-flex-wrap tw-content-center tw-pl-2 tw-mr-4 tw-text-xl tw-uppercase">
        <a href="{{ path('<front>') }}" title="{{ 'Home'|t }}" rel="home">{{ site_name }}</a>
      </div>
    {% endif %}
    {% if site_slogan %}
      <div class="site-slogan tw-hidden lg:tw-flex tw-flex-wrap tw-content-center tw-text-sm print:tw-flex">
        {{ site_slogan }}
      </div>
    {% endif %}
  </div>
{% endblock %}
